Class UmlBaseFragmentCompartment

this class manages fragments compartments,
a fragment without separator contains one compartment

Declaration :

- C++ : class UmlBaseFragmentCompartment
- Java : class UmlBaseFragmentCompartment

Directly inherited by : UmlFragmentCompartment

Artifact : UmlBaseFragmentCompartment

Operation fragment

return the fragment owning the compartment

Declaration :

- Uml : + fragment() : UmlFragment
- C++ : public: UmlFragment * fragment() const
- Java : public UmlFragment fragment()

Operation rank

the rank of the compartment in the fragment (0..)

Declaration :

- Uml : + rank() : int
- C++ : public: int rank() const
- Java : public int rank()

Operation texts

the texts placed in the compartment

Declaration :

- Uml : + texts() : string
- C++ : public: const QVector<const char> & texts() const
- Java : public String[] texts()

Operation contained

return the fragments contained in the compartment,
may be none

Declaration :

- Uml : + contained() : UmlFragment
- C++ : public: const QVector<UmlFragment> & contained() const
- Java : public UmlFragment[] contained()

Relation _fragment (<unidirectional association>)

Declaration :

- Uml : - _fragment : UmlFragment
- C++ : private: UmlFragment * _fragment
- Java : private UmlFragment _fragment

Relation _contained (<directional composition>)

Declaration :

- Uml : - _contained : UmlFragment, multiplicity : *
- C++ : private: QVector<UmlFragment> _contained
- Java : private UmlFragment[] _contained

Attribut _rank

Declaration :

- Uml : - _rank : int
- C++ : private: int _rank
- Java : private int _rank

Attribut _texts

Declaration :

- Uml : - _texts : string
- C++ : private: QVector<char> _texts
- Java : private String[] _texts

Attribut _y

Declaration :

- Uml : - _y : int
- C++ : private: int _y
- Java : private int _y

Operation add_contained_

Declaration :

- Uml : + add_contained_(in x : UmlFragment) : void
- C++ : public: void add_contained_(UmlFragment * x)
- Java : public void add_contained_(UmlFragment x)

Operation add_text_

Declaration :

- Uml : + add_text_(in x : string) : void
- C++ : public: void add_text_(QCString x)
- Java : public void add_text_(String x)

Operation b

Declaration :

- Uml : + b() : int
- C++ : public: int b() const
- Java : public int b()

Operation smaller

Declaration :

- Uml : + smaller(in x : UmlBaseFragmentCompartment) : bool
- C++ : public: bool smaller(const UmlBaseFragmentCompartment * x) const
- Java : public boolean smaller(UmlBaseFragmentCompartment x)

Operation init

internal, don't call it

Declaration :

- Uml : + init(in fragment : UmlBaseFragment, in rank : int, in y : int) : void
- C++ : private: void init(UmlBaseFragment * fragment, int rank, int y)
- Java : public void init(UmlBaseFragment fragment, int rank, int y)

Operation ~UmlBaseFragmentCompartment

to avoid compiler warning, don't call it

Declaration :

- Uml : + ~UmlBaseFragmentCompartment() :
- C++ : public: ~UmlBaseFragmentCompartment()

Extra Class Member friend

Definition :

- C++ :

        friend class UmlBaseFragment;
        friend class UmlBaseUseCaseDiagramDefinition;
        friend class UmlBaseSequenceDiagramDefinition;

All public operations : add_contained_ , add_text_ , b , contained , fragment , init , rank , smaller , texts